
From: Akinobu Mita <amgta@yacht.ocn.ne.jp>

If the first kernel enabled CONFIG_DISCONTIGMEM, the second kernel could
not boot.  since crash_reserve_bootmem() never called anywhere.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/mm/discontig.c |    4 ++++
 1 files changed, 4 insertions(+)

diff -puN arch/i386/mm/discontig.c~kdump-config_discontigmem-fix arch/i386/mm/discontig.c
--- 25/arch/i386/mm/discontig.c~kdump-config_discontigmem-fix	Fri Nov 19 15:28:48 2004
+++ 25-akpm/arch/i386/mm/discontig.c	Fri Nov 19 15:28:48 2004
@@ -32,6 +32,7 @@
 #include <asm/e820.h>
 #include <asm/setup.h>
 #include <asm/mmzone.h>
+#include <asm/crash_dump.h>
 #include <bios_ebda.h>
 
 struct pglist_data *node_data[MAX_NUMNODES];
@@ -363,6 +364,9 @@ unsigned long __init setup_memory(void)
 		}
 	}
 #endif
+
+	crash_reserve_bootmem();
+
 	return system_max_low_pfn;
 }
 
_
